<template>
    <div class="phone-typer">
        <v-card
            max-width="500"
            class="mx-auto phone-typer-card pt-12">
            <h1 class="phone-typer-heading pb-3">
                {{ message }}
            </h1>
            <v-card-text class=" phone-typer-card-text elevation-0">
                <v-sheet
                    max-width="300"
                    height="300"
                    class="mx-auto phone-typer-sheet">
                    <p class="phone-typer-text text-bold">
                        Increase your
                    </p>
                    <div>
                        <vue-typer class="mt-4 type-text phone-typer-sheet-benefits"
                                   :color="'red'"
                                   erase-style="backspace"
                                   :text="typeText"
                                   :shuffle="true"/>
                    </div>
                </v-sheet>
            </v-card-text>
            <v-img src="../../../assets/images/iphone.png"
                   rel="preload"
                   alt="Instavigator Increase Reach, Engagement, Followers"/>
        </v-card>
    </div>
</template>

<script>
export default {
    name: 'PhoneTyper',
    data: () => ({
        message: 'Get More Instagram Followers With a Dedicated Account Manager.',
        typeText: [' reach. ', ' engagement. ', ' followers. ']
    })
}
</script>

<style lang="scss" scoped>
    @font-face {
        font-family: Pacifico;
        src: url('../../../assets/fonts/Pacifico-Regular.ttf');
    }

    img {
       min-height: 300px;
    }
    .phone-typer {
        background: linear-gradient(90deg, rgba(131, 58, 180, 1) 0%, rgba(225, 48, 108, 1) 52%, rgba(245, 96, 64, 1) 100%);
        &-heading,
        &-text {
            color: #f0f0f0;
            @media (max-width: 992px) {
                font-size: 28px
            }
        }
        &-card {
            background: transparent;
            &-text {
                font-size: 40px;
                position: absolute;
                top: 40%;
            }
        }
        &-sheet {
            background: transparent;

            &-benefits {
                font-family: Pacifico, Arial, sans-serif;
            }
        }
    }
    .v-card {
        box-shadow: none;
    }
</style>
